Thread::kill
Worker
Thread
PHP Manual

# Thread::start

(PECL pthreads >= 2.0.0)

Thread::start — Execution

### Description

public boolean Thread::start ([ integer `$options` ] )

Will start a new Thread to execute the implemented run method

### Parameters

`options`

  An optional mask of inheritance constants, by default PTHREADS_INHERIT_ALL

### Return Values

A boolean indication of success

### Examples

Example #1 Starting Threads

`<?php
class My extends Thread {
public function run() {
/** ... **/
}
}
$my = new My();
var_dump($my->start());
?>`

The above example will output:

    bool(true)

Thread::kill
Worker
Thread
PHP Manual